Tensorrt installation cuda 12.3

Description

I have installed CUDA 12.3.2 and cudnn 8.9. I want install tensorrt and I followed documentation. But tensorrt 8.6.1 cannot compatible cuda! Is just latest version compatible with cuda 12.1 update??

Environment

TensorRT: 8.6.1
GPU: GeForce 930M
Nvidia Driver Version: 545.23.08
CUDA Version: 12.3.2
CUDNN Version: 8.9
Operating System + Version: Ubuntu 22.04
Python Version (if applicable): Python3.10

Relevant Files

The following packages have unmet dependencies:
libnvinfer-samples : Depends: cuda-nvcc-12-1 but it is not installable or
cuda-nvcc-12-0 but it is not installable
E: Unable to correct problems, you have held broken packages.

Hi @erfan.safaee95 ,
Please check the version compatibility of TRT with CUDA and cudnn

Also can you try using the tar and see if it works for you?
https://developer.nvidia.com/downloads/compute/machine-learning/tensorrt/secure/8.6.1/tars/TensorRT-8.6.1.6.Linux.x86_64-gnu.cuda-12.0.tar.gz